package cn.jlsxwkj.common.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author zh
 */
@ConfigurationProperties(prefix = UserConfig.USER_PREFIX)
@Component
@Data
public class UserConfig {

    /**
     * 用户自定义属性前缀
     */
    public static final String USER_PREFIX = "customer";
    /**
     * ocr 地址
     */
    private String cnocrUrl;
    /**
     * 指定的 chat 系统消息
     */
    private String sysMessage;
    /**
     * 消息列表最大长度
     */
    private Integer maxListMessageLength;
    /**
     * 机器人每条消息最大长度, 超过会截取
     */
    private Integer maxMessageLength;
    /**
     * 打印 api 大于指定执行时间
     */
    private Integer execTime;

    @Value("${spring.ai.ollama.base-url}")
    private String baseUrl;

    @Value("${spring.ai.ollama.chat.model}")
    private String model;
}
