package cn.jlsxwkj.common.filter;

import cn.jlsxwkj.common.config.UserConfig;
import cn.jlsxwkj.common.utils.Log;
import jakarta.annotation.Resource;
import jakarta.servlet.*;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.stereotype.Component;

import java.io.IOException;

/**
 * @author zh
 */
@Component
public class ExecTime implements Filter {

    @Resource
    private UserConfig userConfig;

    @Override
    public void doFilter(ServletRequest servletRequest,
                         ServletResponse servletResponse,
                         FilterChain filterChain) throws IOException, ServletException {
        long startTime = System.currentTimeMillis();
        String url = ((HttpServletRequest) servletRequest).getRequestURL().toString();
        filterChain.doFilter(servletRequest, servletResponse);
        long execTime = System.currentTimeMillis() - startTime;
        if (execTime > userConfig.getExecTime()) {
            Log.warn(this.getClass(), "api: {}, exec_time ====> {}ms", url, execTime);
        }
    }

}
