package cn.jlsxwkj.common.utils;

import cn.hutool.core.lang.Tuple;
import cn.jlsxwkj.common.reader.ParagraphDocReader;
import cn.jlsxwkj.common.reader.ParagraphOcrReader;
import cn.jlsxwkj.common.reader.ParagraphTextReader;

import java.util.HashMap;
import java.util.Map;

/**
 * @author zh
 */
public class FileType {

    private static final Map<String, Tuple> TYPE = new HashMap<>();

    public FileType(byte[] bytes,
                    String fileName,
                    int winSize,
                    String cnocrUrl) {
        TYPE.put("txt", new Tuple("文本", new ParagraphTextReader(bytes, fileName, winSize)));
        TYPE.put("doc docx", new Tuple("文档", new ParagraphDocReader(bytes, fileName, winSize)));
        TYPE.put("jpg png", new Tuple("图片", new ParagraphOcrReader(bytes, fileName, cnocrUrl, winSize)));
    }

    public Tuple getFileTypeAndResource(String fileType) {
        for (String s : TYPE.keySet()) {
            if (s.contains(fileType)) {
                return TYPE.get(s);
            }
        }
        return null;
    }
}
